
package com.tmerclub.cloud.delivery.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * @author TRACK
 */
public class OutletConfigInfoVO {

    @Schema(description = "快递公司类型")
    private Integer deliveryCompanyType;

    @Schema(description = "快递公司名称")
    private String deliveryCompanyName;

    @Schema(description = "是否配置 0否1是")
    private Integer isConfig;

    @Schema(description = "是否默认 0否1是")
    private Integer isDefault;

    @Schema(description = "商家地址列表")
    private List<OutletConfigAddrVO> shopAddrList;

    public Integer getDeliveryCompanyType() {
        return deliveryCompanyType;
    }

    public void setDeliveryCompanyType(Integer deliveryCompanyType) {
        this.deliveryCompanyType = deliveryCompanyType;
    }

    public String getDeliveryCompanyName() {
        return deliveryCompanyName;
    }

    public void setDeliveryCompanyName(String deliveryCompanyName) {
        this.deliveryCompanyName = deliveryCompanyName;
    }

    public Integer getIsConfig() {
        return isConfig;
    }

    public void setIsConfig(Integer isConfig) {
        this.isConfig = isConfig;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public List<OutletConfigAddrVO> getShopAddrList() {
        return shopAddrList;
    }

    public void setShopAddrList(List<OutletConfigAddrVO> shopAddrList) {
        this.shopAddrList = shopAddrList;
    }

    @Override
    public String toString() {
        return "OutletConfigInfoVO{" +
                "deliveryCompanyType=" + deliveryCompanyType +
                ", deliveryCompanyName='" + deliveryCompanyName + '\'' +
                ", isConfig=" + isConfig +
                ", isDefault=" + isDefault +
                ", shopAddrList=" + shopAddrList +
                '}';
    }
}
